# Generated by Django 3.2.3 on 2021-06-10 10:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('commons', '0001_initial'),
        ('hotels', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('room_tag', models.IntegerField(default=100, verbose_name='Room Tag')),
                ('name', models.CharField(max_length=50, verbose_name='Room Name')),
                ('image', models.URLField(max_length=255, null=True)),
                ('capacity', models.IntegerField(default=0)),
                ('price', models.DecimalField(decimal_places=2, help_text='RS per night', max_digits=10)),
                ('beds', models.IntegerField(default=1)),
                ('bedrooms', models.IntegerField(default=1)),
                ('bathrooms', models.IntegerField(default=1)),
                ('check_in', models.DateField(blank=True, null=True)),
                ('check_out', models.DateField(blank=True, null=True)),
                ('instant_book', models.BooleanField(default=False)),
                ('hotel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hotels.hotel')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RoomService',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Service Name')),
                ('description', models.TextField(blank=True, max_length=255, null=True, verbose_name='Service Description')),
                ('hotel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hotels.hotel', verbose_name='Hotel')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rooms.room', verbose_name='Room')),
                ('service_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='commons.configchoice')),
            ],
        ),
    ]
