from rest_framework import fields, serializers

from .models import User

# class UserSerializer(serializers.ModelSerializer):
#     class Meta:
#         model = User
#         exclude = (
#             "groups",
#             "user_permissions",
#             "password",
#             "last_login",
#             "is_active",
#             "is_superuser",
#             "is_staff",
#             "date_joined",
#             "favs",
#         )


class ReadUserSerializer(serializers.ModelSerializer):
    class Meta:
        model = User
        exclude = (
            "groups",
            "user_permissions",
            "password",
            "last_login",
            "is_active",
            "is_superuser",
            "is_staff",
            "date_joined",
        )


class UserSerializer(serializers.ModelSerializer):

    password = serializers.CharField(write_only=True)

    class Meta:
        model = User
        fields = ("id", "username", "first_name", "last_name", "email", "avatar", "superhost", "password")
        read_only_fields = ("id", "superhost", "avatar")

    def create(self, validated_data):
        password = validated_data.get("password")
        user = super().create(validated_data)
        user.set_password(password)
        user.save()
        return user
